%MAP=BNS2MAP(FILENAME)
%
%Loads in a bns mapfile (pref with .bns ext) into matlab,
%and rotates it accordingly.
%
%See also MAP2BNS, IMAGE2BNS.

function map=bns2map(filename)


%bns2map.m
%By Steve D. Sharples.

%This program is free software; you can redistribute it and/or
%modify it under the terms of the GNU General Public License
%as published by the Free Software Foundation; either version 2
%of the License, or (at your option) any later version.

%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

%You should have received a copy of the GNU General Public License
%along with this program; if not, write to the Free Software
%Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

%The author's email address is steve.sharples@nottingham.ac.uk

fi=fopen(filename,'r');tmp2map=fread(fi,[512 512],'uint8');fclose(fi);
tmpmap=rot90(tmp2map,1);
map=uint8(tmpmap);

